/*
 * upct_empty.c -- does nothing
 *
 */

#include "upct_types.h"

#include "upct_common.c"

void thrille_init(void) {}

int thrille_before_read(int myid, 
                        long mem_addr, 
                        const char* file, 
                        unsigned int line, 
                        const char* expr) { return 1; }

void thrille_after_read(int myid, long m) { }

int thrille_before_write(int myid, 
                         long mem_addr, 
                         const char* file, 
                         unsigned int line, 
                         const char* expr) { return 1; } 

void thrille_after_write(int myid, long mem_addr) { }

int thrille_before_lock(int myid, lock_addr lock) { return 1; }

void thrille_after_lock(int myid, 
                        long lock, 
                        const char* file, 
                        unsigned int line, 
                        const char* expr) { } 

int thrille_before_unlock(int myid, 
                          long lock, 
                          const char* file, 
                          unsigned int line, 
                          const char* expr) { return 1; }

void thrille_after_unlock(int myid, lock_addr lock) { }

int thrille_before_notify(int myid, const char* file, unsigned int line, const char* expr) { return 1; }
void thrille_after_notify(int myid, const char* file, unsigned int line, const char* expr) { }
int thrille_before_wait(int myid, const char* file, unsigned int line, const char* expr) { return 1; }
void thrille_after_wait(int myid, const char* file, unsigned int line, const char* expr) { }
int thrille_before_try_wait(int myid, const char* file, unsigned int line, const char* expr) { return 1; }
int thrille_after_try_wait(int myid, const char* file, unsigned int line, const char* expr, int ret_val) { return ret_val; }

