/* hello.upc
 * Authors - Chang-Seo Park (parkcs@cs.berkeley.edu)
 *         - Nick Jalbert   (jalbert@cs.berkeley.edu)
 *
 * Basic read/write behavior for initial version of THRILLE-UPC
 */

#include <upc.h>
#include <stdio.h>

#pragma relaxed
shared int sum = -1;

int main(int argc, char* argv[])
{
    if (MYTHREAD == 0)
        sum = MYTHREAD;
    else
        sum = -MYTHREAD;
    upc_barrier;
    if(MYTHREAD==0) {
        printf("sum = %d\n", sum);
    }
}
